installer does not support iSCSI iBFT

Bug #1817321 reported by Mauricio Faria de Oliveira on 2019-02-22
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
debian-installer (Ubuntu)
Undecided
Mauricio Faria de Oliveira
Bionic
Medium
Mauricio Faria de Oliveira
Cosmic
Medium
Mauricio Faria de Oliveira
Disco
Medium
Mauricio Faria de Oliveira
Eoan
Undecided
Mauricio Faria de Oliveira
hw-detect (Ubuntu)
Medium
Mauricio Faria de Oliveira
Bionic
Medium
Mauricio Faria de Oliveira
Cosmic
Medium
Mauricio Faria de Oliveira
Disco
Medium
Mauricio Faria de Oliveira
Eoan
Medium
Mauricio Faria de Oliveira
linux (Ubuntu)
Undecided
Mauricio Faria de Oliveira
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Mauricio Faria de Oliveira
Eoan
Undecided
Mauricio Faria de Oliveira
partman-iscsi (Ubuntu)
Medium
Mauricio Faria de Oliveira
Bionic
Medium
Mauricio Faria de Oliveira
Cosmic
Medium
Mauricio Faria de Oliveira
Disco
Medium
Mauricio Faria de Oliveira
Eoan
Medium
Mauricio Faria de Oliveira

Bug Description

[Impact]

 * It's not possible to access iBFT (iSCSI Boot Firmware Table) information
   (settings for network interface, initiator, and target) in the installer
   because the 'iscsi_ibft' module is not present in udeb packages.

 * Even if it was, the installer does not handle iBFT information at all,
   thus any settings are ignored, and iSCSI-related configuration has to
   be done manually or with workarounds.

 * This impacts user-experience and automatic installation on systems and
   deployments which actually do provide the iBFT feature and information,
   but cannot use it practically.

 * With proper iBFT support in the installer (kernel module in udeb package
   and automatic iSCSI-related configuration) users will be able to rely on
   iBFT to install/deploy Ubuntu on their servers and datacenters.

 * These fixes add the 'iscsi_ibft' kernel module in the scsi-modules udeb,
   and configure network/iSCSI according to iBFT information in disk-detect.

   This is done in disk-detect so that the iSCSI LUNs are detected as disks
   (useful in case of no other disks in the system so the installer doesn't
   complain nor wait too long) and that any partman-related preseed options
   are not required and may be still available for the user.

[Test Case]

 * linux package / kernel module in udeb:

   $ dpkg-deb -c scsi-modules_*.udeb | grep iscsi_ibft.ko

   Check the module loads in the installer environment.
   See comment with example for disco.

 * d-i/hw-detect/partman-iscsi package:
   See comments 11, 12, 13.

[Regression Potential]

 * linux package: low, the kernel module is not loaded by default,
   and only checks whether iBFT information is present in firmware,
   then exposes that in sysfs in read-only mode.

 * d-i/hw-detect/partman-iscsi:
   - d-i: kernel version update to include iscsi_ibft module,
          based on kernel released to -updates plus one week
          monitoring bug reports -- it should be OK.
          Tested on amd64/i386/arm64/ppc64el on QEMU, plus amd64
          on baremetal -- see comment 11.
   - hw-detect: low, the changes are enabled by a preseed option.
                see comment 12.
   - partman-iscsi: low, simple changes, plus one fix that has
                    been tested in detail, and falls back to
                    previous behavior if it fails.
                    see comment 13.

[Other Info]

 * This has been verified both by the developer with a simple iSCSI
   iBFT environment (2 VMs: iSCSI target & initiator with UEFI+iPXE)
   and by an user with system/firmware that supports iBFT for iSCSI.

Test for scsi-modules udeb in Disco:
---

Check the original/modified udeb contents:

$ dpkg-deb -c scsi-modules-4.19.0-13-generic-di_4.19.0-13.14_amd64.udeb | grep iscsi_ibft.ko
$

$ dpkg-deb -c scsi-modules-4.19.0-13-generic-di_4.19.0-13.14+test20190221b1_amd64.udeb | grep iscsi_ibft.ko
-rw-r--r-- root/root 17393 2019-02-21 19:27 ./lib/modules/4.19.0-13-generic/kernel/drivers/firmware/iscsi_ibft.ko

Check the module loads in the installer:

$ wget http://archive.ubuntu.com/ubuntu/dists/disco/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/{linux,initrd.gz}

$ virt-install \
> --name disco-ibft \
> --vcpus 2 \
> --memory 1024 \
> --network user,model=virtio \
> --graphics none \
> --disk none \
> --boot kernel=linux,initrd=initrd.gz,kernel_args='console=ttyS0'

After network configuration, udeb download/install, in users/password, select go back and exit to shell.

Original udeb already downloaded and does not contain module:

~ # grep 'retrieving scsi.modules' /var/log/syslog
Feb 22 13:08:57 anna[1509]: DEBUG: retrieving scsi-modules-4.19.0-13-generic-di 4.19.0-13.14

~ # modinfo -n iscsi_ibft
modinfo: ERROR: Module iscsi_ibft not found.

Download modified udeb, install, test module load:

~ # wget https://.../scsi-modules-4.19.0-13-generic-di_4.19.0-13.14+test20190221b1_amd64.udeb

~ # udpkg -i scsi-modules-4.19.0-13-generic-di_4.19.0-13.14+test20190221b1_amd64.udeb
~ # depmod -a

~ # modinfo -n iscsi_ibft
/lib/modules/4.19.0-13-generic/kernel/drivers/firmware/iscsi_ibft.ko

~ # modprobe iscsi_ibft

~ # lsmod | grep ^iscsi_ibft
iscsi_ibft 16384 0

Changed in linux (Ubuntu):
assignee: nobody → Mauricio Faria de Oliveira (mfo)

linux patch posted to the kernel-team mailing list:

[B/C/D/Unstable][PATCH] UBUNTU: d-i: add iscsi_ibft to scsi-modules
https://lists.ubuntu.com/archives/kernel-team/2019-February/098745.html

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu Cosmic):
status: New → In Progress
Changed in linux (Ubuntu Disco):
status: Confirmed → In Progress
Changed in linux (Ubuntu Bionic):
status: New → In Progress
Seth Forshee (sforshee) on 2019-02-25
Changed in linux (Ubuntu Disco):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Cosmic):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.0.0-7.8

---------------
linux (5.0.0-7.8) disco; urgency=medium

  * linux: 5.0.0-7.8 -proposed tracker (LP: #1818519)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * unnecessary request_queue freeze (LP: #1815733)
    - block: avoid setting nr_requests to current value
    - block: avoid setting none scheduler if it's already none

  * Miscellaneous Ubuntu changes
    - SAUCE: selftests: net: Don't fail test_vxlan_under_vrf on xfail
    - update dkms package versions

  [ Upstream Kernel Changes ]

  * Rebase to v5.0

 -- Seth Forshee <email address hidden> Mon, 04 Mar 2019 08:46:10 -0600

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released

Installer (non-kernel) patches submitted to Debian for feedback.
- disk-detect: https://bugs.debian.org/924675
- partman-iscsi: https://bugs.debian.org/924680

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-cosmic' to 'verification-done-cosmic'. If the problem still exists, change the tag 'verification-needed-cosmic' to 'verification-failed-cosmic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-cosmic
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic

bionic-proposed verification done;
iscsi_ibft.ko is present in udeb and loads correctly.
---

$ uname -rv
4.15.0-47-generic #50-Ubuntu SMP Wed Mar 13 10:44:52 UTC 2019

$ apt-get download scsi-modules-4.15.0-47-generic-di

$ dpkg-deb -c scsi-modules-4.15.0-47-generic-di_4.15.0-47.50_amd64.udeb | grep ibft
-rw-r--r-- root/root 17086 2019-03-13 04:37 ./lib/modules/4.15.0-47-generic/kernel/drivers/firmware/iscsi_ibft.ko

$ dpkg-deb -x scsi-modules-4.15.0-47-generic-di_4.15.0-47.50_amd64.udeb udeb

$ sudo insmod udeb/lib/modules/4.15.0-47-generic/kernel/drivers/scsi/iscsi_boot_sysfs.ko
$ sudo insmod udeb/lib/modules/4.15.0-47-generic/kernel/drivers/firmware/iscsi_ibft.ko

$ dmesg | grep -i ibft
[ 297.999505] No iBFT detected.

tags: added: verification-done-bionic
removed: verification-needed-bionic

cosmic-proposed verification done;
iscsi_ibft.ko is present in udeb and loads correctly.
---

$ uname -rv
4.18.0-17-generic #18-Ubuntu SMP Wed Mar 13 14:34:40 UTC 2019

$ apt-get download scsi-modules-4.18.0-17-generic-di

$ dpkg-deb -c scsi-modules-4.18.0-17-generic-di_4.18.0-17.18_amd64.udeb | grep ibft
-rw-r--r-- root/root 17257 2019-03-13 11:52 ./lib/modules/4.18.0-17-generic/kernel/drivers/firmware/iscsi_ibft.ko

$ dpkg-deb -x scsi-modules-4.18.0-17-generic-di_4.18.0-17.18_amd64.udeb udeb

$ sudo insmod udeb/lib/modules/4.18.0-17-generic/kernel/drivers/scsi/iscsi_boot_sysfs.ko
$ sudo insmod udeb/lib/modules/4.18.0-17-generic/kernel/drivers/firmware/iscsi_ibft.ko

$ dmesg | grep -i ibft
[ 117.143116] No iBFT detected.

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Launchpad Janitor (janitor) wrote :
Download full text (25.4 KiB)

This bug was fixed in the package linux - 4.15.0-47.50

---------------
linux (4.15.0-47.50) bionic; urgency=medium

  * linux: 4.15.0-47.50 -proposed tracker (LP: #1819716)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts
    - [Packaging] resync retpoline extraction

  * C++ demangling support missing from perf (LP: #1396654)
    - [Packaging] fix a mistype

  * arm-smmu-v3 arm-smmu-v3.3.auto: CMD_SYNC timeout (LP: #1818162)
    - iommu/arm-smmu-v3: Fix unexpected CMD_SYNC timeout

  * Crash in nvme_irq_check() when using threaded interrupts (LP: #1818747)
    - nvme-pci: fix out of bounds access in nvme_cqe_pending

  * CVE-2019-9213
    - mm: enforce min addr even if capable() in expand_downwards()

  * CVE-2019-3460
    - Bluetooth: Check L2CAP option sizes returned from l2cap_get_conf_opt

  * amdgpu with mst WARNING on blanking (LP: #1814308)
    - drm/amd/display: Don't use dc_link in link_encoder
    - drm/amd/display: Move wait for hpd ready out from edp power control.
    - drm/amd/display: eDP sequence BL off first then DP blank.
    - drm/amd/display: Fix unused variable compilation error
    - drm/amd/display: Fix warning about misaligned code
    - drm/amd/display: Fix MST dp_blank REG_WAIT timeout

  * tun/tap: unable to manage carrier state from userland (LP: #1806392)
    - tun: implement carrier change

  * CVE-2019-8980
    - exec: Fix mem leak in kernel_read_file

  * raw_skew in timer from the ubuntu_kernel_selftests failed on Bionic
    (LP: #1811194)
    - selftest: timers: Tweak raw_skew to SKIP when ADJ_OFFSET/other clock
      adjustments are in progress

  * [Packaging] Allow overlay of config annotations (LP: #1752072)
    - [Packaging] config-check: Add an include directive

  * CVE-2019-7308
    - bpf: move {prev_,}insn_idx into verifier env
    - bpf: move tmp variable into ax register in interpreter
    - bpf: enable access to ax register also from verifier rewrite
    - bpf: restrict map value pointer arithmetic for unprivileged
    - bpf: restrict stack pointer arithmetic for unprivileged
    - bpf: restrict unknown scalars of mixed signed bounds for unprivileged
    - bpf: fix check_map_access smin_value test when pointer contains offset
    - bpf: prevent out of bounds speculation on pointer arithmetic
    - bpf: fix sanitation of alu op with pointer / scalar type from different
      paths
    - bpf: add various test cases to selftests

  * CVE-2017-5753
    - bpf: properly enforce index mask to prevent out-of-bounds speculation
    - bpf: fix inner map masking to prevent oob under speculation

  * BPF: kernel pointer leak to unprivileged userspace (LP: #1815259)
    - bpf/verifier: disallow pointer subtraction

  * squashfs hardening (LP: #1816756)
    - squashfs: more metadata hardening
    - squashfs metadata 2: electric boogaloo
    - squashfs: more metadata hardening
    - Squashfs: Compute expected length from inode size rather than block length

  * efi/arm/arm64: Allow SetVirtualAddressMap() to be omitted (LP: #1814982)
    - efi/arm/arm64: Allow SetVirtualAddressMap() to be omitted

  * Update ENA driver to version 2.0.3K (LP: #1816806)...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.0 KiB)

This bug was fixed in the package linux - 4.18.0-17.18

---------------
linux (4.18.0-17.18) cosmic; urgency=medium

  * linux: 4.18.0-17.18 -proposed tracker (LP: #1819624)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts

  * C++ demangling support missing from perf (LP: #1396654)
    - [Packaging] fix a mistype

  * arm-smmu-v3 arm-smmu-v3.3.auto: CMD_SYNC timeout (LP: #1818162)
    - iommu/arm-smmu-v3: Fix unexpected CMD_SYNC timeout

  * Crash in nvme_irq_check() when using threaded interrupts (LP: #1818747)
    - nvme-pci: fix out of bounds access in nvme_cqe_pending

  * CVE-2019-9003
    - ipmi: fix use-after-free of user->release_barrier.rda

  * CVE-2019-9162
    - netfilter: nf_nat_snmp_basic: add missing length checks in ASN.1 cbs

  * CVE-2019-9213
    - mm: enforce min addr even if capable() in expand_downwards()

  * CVE-2019-3460
    - Bluetooth: Check L2CAP option sizes returned from l2cap_get_conf_opt

  * tun/tap: unable to manage carrier state from userland (LP: #1806392)
    - tun: implement carrier change

  * CVE-2019-8980
    - exec: Fix mem leak in kernel_read_file

  * [Packaging] Allow overlay of config annotations (LP: #1752072)
    - [Packaging] config-check: Add an include directive

  * amdgpu with mst WARNING on blanking (LP: #1814308)
    - drm/amd/display: Fix MST dp_blank REG_WAIT timeout

  * CVE-2019-7308
    - bpf: move {prev_,}insn_idx into verifier env
    - bpf: move tmp variable into ax register in interpreter
    - bpf: enable access to ax register also from verifier rewrite
    - bpf: restrict map value pointer arithmetic for unprivileged
    - bpf: restrict stack pointer arithmetic for unprivileged
    - bpf: restrict unknown scalars of mixed signed bounds for unprivileged
    - bpf: fix check_map_access smin_value test when pointer contains offset
    - bpf: prevent out of bounds speculation on pointer arithmetic
    - bpf: fix sanitation of alu op with pointer / scalar type from different
      paths
    - bpf: add various test cases to test_verifier
    - bpf: add various test cases to selftests

  * CVE-2017-5753
    - bpf: fix inner map masking to prevent oob under speculation

  * Use memblock quirk instead of delayed allocation for GICv3 LPI tables
    (LP: #1816425)
    - efi/arm: Revert "Defer persistent reservations until after paging_init()"
    - arm64, mm, efi: Account for GICv3 LPI tables in static memblock reserve
      table

  * efi/arm/arm64: Allow SetVirtualAddressMap() to be omitted (LP: #1814982)
    - efi/arm/arm64: Allow SetVirtualAddressMap() to be omitted

  * Update ENA driver to version 2.0.3K (LP: #1816806)
    - net: ena: update driver version from 2.0.2 to 2.0.3
    - net: ena: fix race between link up and device initalization
    - net: ena: fix crash during failed resume from hibernation

  * Silent "Unknown key" message when pressing keyboard backlight hotkey
    (LP: #1817063)
    - platform/x86: dell-wmi: Ignore new keyboard backlight change event

  * CVE-2018-19824
    - ALSA: usb-audio: Fix UAF decrement if card has no live interfaces in card.c

  * CVE-2019-3459
    - Bluetooth: Verify that l2cap_get...

Read more...

Changed in linux (Ubuntu Cosmic):
status: Fix Committed → Fix Released
description: updated

Adding patches and test procedure for the debian-installer userspace part.
(disk-detect probes iSCSI iBFT disks; partman-iscsi sets ISCSI_AUTO=true for booting.)

The d-i patches should be uploaded/built _after_ hw-detect and partman-iscsi
are successfully built and published, so that its new versions are picked up.

The d-i kernel version change has been tested for the architectures
amd64, i386, arm64, and ppc64el, on both regular/lvm partitioning,
using VMs/QEMU for all archs, plus baremetal for amd64.

The hw-detect/partman-iscsi has been tested with a simple, virtual
iSCSI/iBFT setup using iPXE, which will be described shortly.

cheers,
Mauricio

Download full text (10.0 KiB)

Test Procedure with KVM guests + iPXE
=====================================

- 2 guests: iSCSI target/server and iSCSI initiator/client.
- 1 bridge for iSCSI traffic (virbr-iscsi, new), static ip.
- 1 bridge for internet access (virbr0, exists), dhcp ip.

Host:
----

Configure the iSCSI bridge and QEMU access in the host:

    $ sudo ip link add dev virbr-iscsi type bridge
    $ sudo ip link set dev virbr-iscsi up
    $ echo 'allow virbr-iscsi' | sudo tee -a /etc/qemu/bridge.conf
    $ sudo chmod +s /usr/lib/qemu/qemu-bridge-helper

iSCSI target:
------------

This guest serves an iSCSI target with one LUN
in iSCSI NIC with IP 10.0.0.1 for IP 10.0.0.2.

Install/boot this guest:

 $ qemu-img create -f qcow2 guest-iscsi-target.qcow2 16g

    $ qemu-system-x86_64 \
      -nodefaults \
      -enable-kvm \
      -smp 2 -m 4096 \
      -serial stdio \
      -vga virtio \
      -display vnc=0.0.0.0:2 \
      -netdev bridge,id=bridge-world,br=virbr0 \
      -netdev bridge,id=bridge-iscsi,br=virbr-iscsi \
      -device virtio-net-pci,netdev=bridge-world,id=nic-world,mac=52:54:00:00:00:11 \
      -device virtio-net-pci,netdev=bridge-iscsi,id=nic-iscsi,mac=52:54:00:00:00:22 \
      -drive file=guest-iscsi-target.qcow2,if=virtio \
      -drive file=$RELEASE-server-amd64.iso,media=cdrom,read-only,if=scsi \
      -boot once=d

Configure iSCSI NIC:

$ cat <<EOF | sudo tee /etc/netplan/ens5.yaml && sudo netplan apply
network:
    version: 2
    ethernets:
        ens5:
            addresses: [10.0.0.1/24]
EOF

    # ip addr list ens5
    3: ens5: <...>
        link/ether 52:54:00:00:00:22 brd ff:ff:ff:ff:ff:ff
        inet 10.0.0.1/24 brd 10.0.0.255 scope global ens4
    ...

Configure iSCSI target/lun:

    # apt-get install -y tgt

    # mkdir /var/lib/iscsi
    # dd if=/dev/zero of=/var/lib/iscsi/disk bs=1 count=0 seek=8G

    # tgtadm --lld iscsi --op new --mode target --tid 1 -T iqn.2019-03.com.example:target1
    # tgtadm --lld iscsi --op new --mode logicalunit --tid 1 --lun 1 -b /var/lib/iscsi/disk

    # tgtadm --lld iscsi --op bind --mode target --tid 1 -I 10.0.0.2
    # tgt-admin --dump >/etc/tgt/conf.d/target1.conf

iSCSI initiator:
---------------

This guest first boots iPXE to configure iBFT,
and then boots/chainloads to debian-installer.

The netboot initrd does not contain all patched udebs,
so download and install disk-detect and partman-iscsi
from the PPA during the install.

    $ wget http://boot.ipxe.org/ipxe.lkrn
    $ wget http://ppa.launchpad.net/mfo/lp1817321v3/ubuntu/dists/$RELEASE/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/{linux,initrd.gz}

    $ python3 -m http.server &
    Serving HTTP on 0.0.0.0 port 8000 ...

    $ qemu-system-x86_64 \
      -nodefaults \
      -enable-kvm \
      -smp 2 -m 4096 \
      -serial stdio \
      -vga virtio \
      -display vnc=0.0.0.0:1 \
      -netdev bridge,id=bridge-world,br=virbr0 \
      -netdev bridge,id=bridge-iscsi,br=virbr-iscsi \
      -device virtio-net-pci,netdev=bridge-world,id=nic-world,mac=52:54:00:00:00:01 \
      -device virtio-net-pci,netdev=bridge-iscsi,id=nic-iscsi,mac=52:54:00:00:00:02 \
      -kernel ipxe.lkrn

Connect to VNC for iPXE shell:

   ...

Download full text (7.0 KiB)

Test procedure for the partman-iscsi changes
============================================

Based on the previous comment setup.

iSCSI initiator:
---------------

...

Note there's no 'iscsi_auto' in the kernel cmdline:

    iPXE> ifopen net0
    iPXE> kernel http://192.168.122.1:8000/vmlinuz initrd=initrd.gz --- console=ttyS0
    iPXE> initrd http://192.168.122.1:8000/initrd.gz
    iPXE> boot

Back to serial console.
Proceed with the installer.

In 'Users and passwords' dialogs, select 'Go back', and 'Execute a shell', and 'Continue'.

Bring up the iSCSI devices with iBFT
(manually or with patched disk-detect udeb)

    ~ # modprobe iscsi_ibft

    ~ # iscsistart -N
    Setting up software interface ens4

~ # iscsistart -b
iscsistart: Logging into iqn.2019-03.com.example:target1 10.0.0.1:3260,1
iscsistart: version 2.0-874
iscsistart: Connection1:0 to [target: iqn.2019-03.com.example:target1, portal: 10.0.0.1,3260] through [iface: default] is operational now

~ # dmesg | grep -e iBFT -e sd
[ 0.007308] iBFT found at 0x9e520.
[ 94.949058] iBFT detected.
[ 105.158333] sd 2:0:0:1: Attached scsi generic sg2 type 0
[ 105.158800] sd 2:0:0:1: Power-on or device reset occurred
[ 105.161642] sd 2:0:0:1: [sda] 16777216 512-byte logical blocks: (8.59 GB/8.00 GiB)
[ 105.161646] sd 2:0:0:1: [sda] 4096-byte physical blocks
[ 105.161970] sd 2:0:0:1: [sda] Write Protect is off
[ 105.161974] sd 2:0:0:1: [sda] Mode Sense: 69 00 10 08
[ 105.162645] sd 2:0:0:1: [sda] Write cache: enabled, read cache: enabled, supports DPO and FUA
[ 105.174899] sd 2:0:0:1: [sda] Attached SCSI disk

See interface 1 (ens3) is default interface in 192.168.122.0/24 range,
and interface 2 (ens4) is a iSCSI interface in 10.0.0.0/24 range.

~ # ip addr list
...
2: ens3: ...
    link/ether 52:54:00:00:00:01 brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.162/24 brd 192.168.122.255 scope global ens3
...
3: ens4: ...
    link/ether 52:54:00:00:00:02 brd ff:ff:ff:ff:ff:ff
    inet 10.0.0.2/24 brd 10.0.0.255 scope global ens4
...

Return with 'exit' and proceed with the installer until the 'Partition disks' dialog.

Test #0) Original partman-iscsi
----

In 'Partition disks' dialogs, select 'Go back', and 'Change debconf priority', and 'Continue', and 'low'.

Return to the 'Partition disks' dialog.
Select 'Guided partitioning',
and 'Guided - use entire disk',
and 'SCSI3 (0,0,1) (sda) - 8.6 GB IET VIRTUAL-DISK,
and 'All files in one partition (recommended for new users)',
and 'Finish partitioning and write changes to disk',
and 'No' in 'No partitions for use as swap space',
and 'Yes' in 'Write the changes to disks?',
and 'Continue' and 'Continue' for swap file questions.

This should partition and format the disk, and return to the menu, as the debconf priority is 'low'.

Select 'Execute a shell', and 'Continue'.

See that the wrong network interface is used for the HWADDR field in iscsi.initramfs
(trailing :01 instead of :02).

~ # cat /target/etc/iscsi/iscsi.initramfs
HWADDR="52:54:00:00:00:01"
ISCSI_TARGET_NAME="iqn.2019-03.com.example:target1"
ISCSI_TARGET_IP="10.0.0.1"
ISCSI_TARGET_PORT="3260"
ISCSI_TARGET_GROUP="1"

Test #1) Patched partman-iscsi, changes for patch ...

Read more...

description: updated
description: updated
Changed in debian-installer (Ubuntu Bionic):
assignee: nobody → Mauricio Faria de Oliveira (mfo)
Changed in debian-installer (Ubuntu Cosmic):
assignee: nobody → Mauricio Faria de Oliveira (mfo)
Changed in debian-installer (Ubuntu Disco):
assignee: nobody → Mauricio Faria de Oliveira (mfo)
Changed in debian-installer (Ubuntu Eoan):
assignee: nobody → Mauricio Faria de Oliveira (mfo)
Changed in partman-iscsi (Ubuntu Bionic):
assignee: nobody → Mauricio Faria de Oliveira (mfo)
status: New → Confirmed
Changed in partman-iscsi (Ubuntu Cosmic):
assignee: nobody → Mauricio Faria de Oliveira (mfo)
status: New → Confirmed
Changed in partman-iscsi (Ubuntu Disco):
assignee: nobody → Mauricio Faria de Oliveira (mfo)
status: New → Confirmed
Changed in partman-iscsi (Ubuntu Eoan):
assignee: nobody → Mauricio Faria de Oliveira (mfo)
status: New → Confirmed
Changed in hw-detect (Ubuntu Bionic):
assignee: nobody → Mauricio Faria de Oliveira (mfo)
status: New → Confirmed
Changed in hw-detect (Ubuntu Cosmic):
assignee: nobody → Mauricio Faria de Oliveira (mfo)
status: New → Confirmed
Changed in hw-detect (Ubuntu Disco):
assignee: nobody → Mauricio Faria de Oliveira (mfo)
status: New → Confirmed
Changed in hw-detect (Ubuntu Eoan):
assignee: nobody → Mauricio Faria de Oliveira (mfo)
status: New → Confirmed
Changed in debian-installer (Ubuntu Bionic):
status: New → Confirmed
Changed in debian-installer (Ubuntu Cosmic):
status: New → Confirmed
Changed in debian-installer (Ubuntu Disco):
status: New → Confirmed
Changed in debian-installer (Ubuntu Eoan):
status: New → Confirmed

The attachment "bionic_d-i.debdiff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Eric Desrochers (slashd) on 2019-05-27
Changed in partman-iscsi (Ubuntu Eoan):
status: Confirmed → In Progress
importance: Undecided → Medium
Changed in hw-detect (Ubuntu Eoan):
importance: Undecided → Medium
status: Confirmed → In Progress
Eric Desrochers (slashd) wrote :

Sponsored for Eoan, considering that Mauricio has submitted the patch to Debian already.
debbugs are "bug watches" in the LP.

Everything looks good me.

The only thing missing is the d-i rebuild with no modification but that have to wait until hw-detect/parman-iscsi are both built.

- Eric

Changed in partman-iscsi (Ubuntu Eoan):
status: In Progress → Fix Committed
Changed in hw-detect (Ubuntu Eoan):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hw-detect - 1.117ubuntu7

---------------
hw-detect (1.117ubuntu7) eoan; urgency=medium

  * Add iSCSI iBFT support to the installer (LP: #1817321)
    - disk-detect.templates: add option 'disk-detect/ibft/enable' for preseeding.
    - disk-detect.sh: detect iSCSI iBFT disks with 'disk-detect/ibft/enable=true'.

 -- Mauricio Faria de Oliveira <email address hidden> Fri, 22 Mar 2019 18:24:15 -0300

Changed in hw-detect (Ubuntu Eoan):
status: Fix Committed → Fix Released
Eric Desrochers (slashd) on 2019-05-28
Changed in debian-installer (Ubuntu Eoan):
status: Confirmed → In Progress
Changed in partman-iscsi (Ubuntu Eoan):
status: Fix Committed → Fix Released
Eric Desrochers (slashd) wrote :

This bug was fixed in the package partman-iscsi - 40ubuntu4

---------------
partman-iscsi (40ubuntu4) eoan; urgency=medium

  * Add support for different network interfaces and iscsi_auto for iBFT.
    - debian/partman-iscsi.template: add partman-iscsi/iscsi_auto option.
    - finish.d/iscsi_settings: handle non-default interface for iSCSI.
    - finish.d/iscsi_settings: check option to include ISCSI_AUTO=true
      instead of ISCSI_* variables in /etc/iscsi/iscsi.initramfs.

 -- Mauricio Faria de Oliveira <email address hidden> Thu, 07 Mar 2019 15:53:09 -0300

Eric Desrochers (slashd) wrote :

I apologise, I totally miss the fact that the second upload for partman-iscsi didn't have the LP# mentioned in the changelog.

We are all human, mistake happens ;) So I did the LP modification manually.

@mfo, could you produce a debdiff V2 for 'partman-iscsi' debdiff(s) and make sure it contains the LP# for not breaking the SRU machinery.

- Eric

Eric Desrochers (slashd) wrote :

Sponsored 'd-i' for Eoan, now that both hw-detect and partman-iscsi have been built and land in release.

- Eric

Changed in debian-installer (Ubuntu Eoan):
status: In Progress → Fix Committed

Hi Eric,

Nice catch. Sorry about that!

Sure, just attached the partman-iscsi debdiffs with the LP bug mentioned in changelog.

Thanks,
Mauricio

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu573

---------------
debian-installer (20101020ubuntu573) eoan; urgency=medium

  * No-change rebuild to pick up new hw-detect and partman-iscsi.
    (LP: #1817321)

 -- Mauricio Faria de Oliveira <email address hidden> Wed, 22 May 2019 10:30:55 -0300

Changed in debian-installer (Ubuntu Eoan):
status: Fix Committed → Fix Released
Dan Streetman (ddstreet) on 2019-05-31
tags: added: sts-sponsor
tags: added: sts-sponsor-ddstreet
tags: removed: sts-sponsor-ddstreet
Dan Streetman (ddstreet) on 2019-05-31
tags: added: sts-sponsor-ddstreet
Dan Streetman (ddstreet) wrote :

uploaded hw-detect and partman-iscsi to b/c/d

2 minor changelog tweaks:

-some of the lines were long (>80), i wrapped them
-the version number added the release suffix but also bumped the version, i corrected that
 (e.g., 1.117ubuntu6 -> 1.117ubuntu7.18.04.1 is wrong; corrected to 1.117ubuntu6.18.04.1)

code changes all LGTM

thanks!

Changed in debian-installer (Ubuntu Bionic):
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in debian-installer (Ubuntu Cosmic):
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in debian-installer (Ubuntu Disco):
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in hw-detect (Ubuntu Bionic):
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in hw-detect (Ubuntu Cosmic):
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in hw-detect (Ubuntu Disco):
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in partman-iscsi (Ubuntu Bionic):
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in partman-iscsi (Ubuntu Cosmic):
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in partman-iscsi (Ubuntu Disco):
importance: Undecided → Medium
status: Confirmed → In Progress

Dan, thanks for the review/fixes/upload!

Hello Mauricio, or anyone else affected,

Accepted hw-detect into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/hw-detect/1.117ubuntu6.19.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in hw-detect (Ubuntu Disco):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-disco
Brian Murray (brian-murray) wrote :

Hello Mauricio, or anyone else affected,

Accepted hw-detect into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/hw-detect/1.117ubuntu6.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in hw-detect (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed-cosmic
removed: verification-done-cosmic
Changed in hw-detect (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
removed: verification-done-bionic
Brian Murray (brian-murray) wrote :

Hello Mauricio, or anyone else affected,

Accepted hw-detect into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/hw-detect/1.117ubuntu6.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Download full text (4.5 KiB)

verification done for disco/hw-detect.

disk-detect found the iscsi target/lun configured in ibft.

$ wget http://boot.ipxe.org/ipxe.lkrn
$ wget http://archive.ubuntu.com/ubuntu/dists/disco/main/installer-amd64/20101020ubuntu570/images/netboot/ubuntu-installer/amd64/{linux,initrd.gz}

$ python3 -m http.server &

$ qemu-system-x86_64 \
      -nodefaults \
      -enable-kvm \
      -smp 2 -m 4096 \
      -serial stdio \
      -vga virtio \
      -display vnc=0.0.0.0:1 \
      -netdev bridge,id=bridge-world,br=virbr0 \
      -netdev bridge,id=bridge-iscsi,br=virbr-iscsi \
      -device virtio-net-pci,netdev=bridge-world,id=nic-world,mac=52:54:00:00:00:01 \
      -device virtio-net-pci,netdev=bridge-iscsi,id=nic-iscsi,mac=52:54:00:00:00:02 \
      -kernel ipxe.lkrn

workstation $ vncviewer buneary.segmaas.1ss:1

    <ctrl-b>

    iPXE>

    iPXE> ifopen net1
    iPXE> set net1/ip 10.0.0.2
    iPXE> set net1/netmask 255.255.255.0

    iPXE> sanhook iscsi:10.0.0.1:::1:iqn.2019-06.com.example:target1
    Registered SAN device 0x80

    iPXE> ifopen net0
    iPXE> kernel http://192.168.122.1:8000/linux initrd=initrd.gz apt-setup/proposed=true disk-detect/ibft/enable=true --- console=ttyS0
    iPXE> initrd http://192.168.122.1:8000/initrd.gz
    iPXE> boot

...

  │ Select disk to partition: │
  │ │
  │ SCSI3 (0,0,1) (sda) - 8.6 GB IET VIRTUAL-DISK │

...

~ # grep 'retrieving disk-detect' /var/log/syslog
Jun 5 23:36:13 anna[1582]: DEBUG: retrieving disk-detect 1.117ubuntu6.19.04.1

~ # sed -n '/scsi_ibft.ko/,/iBFT disk detection finished/p' /var/log/syslog
Jun 5 23:38:55 disk-detect: insmod /lib/modules/5.0.0-13-generic/kernel/drivers/firmware/iscsi_ibft.ko
Jun 5 23:38:55 disk-detect: # BEGIN RECORD 2.0-874
Jun 5 23:38:55 disk-detect: iface.initiatorname = iqn.2010-04.org.ipxe:00000000-0000-0000-0000-000000000000
Jun 5 23:38:55 disk-detect: iface.hwaddress = 52:54:00:00:00:02
Jun 5 23:38:55 disk-detect: iface.bootproto = STATIC
Jun 5 23:38:55 disk-detect: iface.ipaddress = 10.0.0.2
Jun 5 23:38:55 disk-detect: iface.subnet_mask = 255.255.255.0
Jun 5 23:38:55 disk-detect: iface.primary_dns = 192.168.122.1
Jun 5 23:38:55 disk-detect: iface.vlan_id = 0
Jun 5 23:38:55 disk-detect: iface.net_ifacename = ens4
Jun 5 23:38:55 disk-detect: node.name = iqn.2019-06.com.example:target1
Jun 5 23:38:55 disk-detect: node.conn[0].address = 10.0.0.1
Jun 5 23:38:55 disk-detect: node.conn[0].port = 3260
Jun 5 23:38:55 disk-detect: node.boot_lun = 01000000
Jun 5 23:38:55 disk-detect: # END RECORD
Jun 5 23:38:55 kernel: [ 207.271009] iBFT detected.
Jun 5 23:38:55 disk-detect: Setting up software interface ens4
Jun 5 23:38:55 disk-detect: iscsistart: can not connect to iSCSI daemon (111)!
Jun 5 23:38:55 kernel: [ 207.286051] Loading iSCSI transport class v2.0-870.
Jun 5 23:38:55 disk-detect: iscsistart: version 2.0-874
Jun 5 23:38:55 disk-detect:
Jun 5 23:38:56 kernel: [ 208.291508] iscsi: registered transport (tcp)
Jun 5 23:38:56 kernel: [ 208.294107] scsi host2: iSCSI Initiator over TCP/IP
Jun 5 2...

Read more...

tags: added: verification-done-disco
removed: verification-needed-disco
Download full text (5.2 KiB)

verification done for cosmic/hw-detect.

disk-detect found the iscsi target/lun configured in ibft.

cosmic currently needed the workaround to download/install
the iscsi_ibft.ko module, because the d-i changes are not
yet in (update to kernel version to includes it in scsi-modules.udeb).

$ wget http://boot.ipxe.org/ipxe.lkrn
$ wget http://archive.ubuntu.com/ubuntu/dists/cosmic-updates/main/installer-amd64/20101020ubuntu557.1/images/netboot/ubuntu-installer/amd64/{linux,initrd.gz}

$ python3 -m http.server &

$ qemu-system-x86_64 \
      -nodefaults \
      -enable-kvm \
      -smp 2 -m 4096 \
      -serial stdio \
      -vga virtio \
      -display vnc=0.0.0.0:1 \
      -netdev bridge,id=bridge-world,br=virbr0 \
      -netdev bridge,id=bridge-iscsi,br=virbr-iscsi \
      -device virtio-net-pci,netdev=bridge-world,id=nic-world,mac=52:54:00:00:00:01 \
      -device virtio-net-pci,netdev=bridge-iscsi,id=nic-iscsi,mac=52:54:00:00:00:02 \
      -kernel ipxe.lkrn

workstation $ vncviewer buneary.segmaas.1ss:1

    <ctrl-b>

    iPXE>

    iPXE> ifopen net1
    iPXE> set net1/ip 10.0.0.2
    iPXE> set net1/netmask 255.255.255.0

    iPXE> sanhook iscsi:10.0.0.1:::1:iqn.2019-06.com.example:target1
    Registered SAN device 0x80

    iPXE> ifopen net0
    iPXE> kernel http://192.168.122.1:8000/linux initrd=initrd.gz apt-setup/proposed=true disk-detect/ibft/enable=true --- console=ttyS0
    iPXE> initrd http://192.168.122.1:8000/initrd.gz
    iPXE> boot

...

~ # ls /lib/modules/4.18.0-10-generic/kernel/drivers/firmware/iscsi_ibft.ko
ls: /lib/modules/4.18.0-10-generic/kernel/drivers/firmware/iscsi_ibft.ko: No such file or directory

~ # cd /tmp
/tmp # wget http://archive.ubuntu.com/ubuntu/pool/main/l/linux/linux-modules-4.18.0-10-generic_4.18.0-10.11_amd64.deb
/tmp # ar x linux-modules-4.18.0-10-generic_4.18.0-10.11_amd64.deb
/tmp # xzcat data.tar.xz | tar x
/tmp # mkdir /lib/modules/4.18.0-10-generic/kernel/drivers/firmware
/tmp # cp lib/modules/4.18.0-10-generic/kernel/drivers/firmware/iscsi_ibft.ko /lib/modules/4.18.0-10-generic/kernel/drivers/firmware/
/tmp # exit

...

  │ Select disk to partition: │
  │ │
  │ SCSI3 (0,0,1) (sda) - 8.6 GB IET VIRTUAL-DISK │

...
~ # grep 'retrieving disk-detect' /var/log/syslog
Jun 6 00:05:52 anna[1521]: DEBUG: retrieving disk-detect 1.117ubuntu6.18.10.1

~ # sed -n '/scsi_ibft.ko/,/iBFT disk detection finished/p' /var/log/syslog
Jun 6 00:10:59 disk-detect: insmod /lib/modules/4.18.0-10-generic/kernel/drivers/firmware/iscsi_ibft.ko
Jun 6 00:10:59 kernel: [ 364.281283] iBFT detected.
Jun 6 00:10:59 disk-detect: # BEGIN RECORD 2.0-874
Jun 6 00:10:59 disk-detect: iface.initiatorname = iqn.2010-04.org.ipxe:00000000-0000-0000-0000-000000000000
Jun 6 00:10:59 disk-detect: iface.hwaddress = 52:54:00:00:00:02
Jun 6 00:10:59 disk-detect: iface.bootproto = STATIC
Jun 6 00:10:59 disk-detect: iface.ipaddress = 10.0.0.2
Jun 6 00:10:59 disk-detect: iface.subnet_mask = 255.255.255.0
Jun 6 00:10:59 disk-detect: iface.primary_dns = 192.168.122.1
Jun 6 00:10:59 disk-detect...

Read more...

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Download full text (5.2 KiB)

verification done for bionic/hw-detect.

disk-detect found the iscsi target/lun configured in ibft.

bionic currently needed the workaround to download/install
the iscsi_ibft.ko module, because the d-i changes are not
yet in (update to kernel version that includes it in scsi-modules.udeb).

$ wget http://boot.ipxe.org/ipxe.lkrn
$ wget http://archive.ubuntu.com/ubuntu/dists/bionic-updates/main/installer-amd64/20101020ubuntu543.7/images/netboot/ubuntu-installer/amd64/{linux,initrd.gz}

$ python3 -m http.server &

$ qemu-system-x86_64 \
      -nodefaults \
      -enable-kvm \
      -smp 2 -m 4096 \
      -serial stdio \
      -vga virtio \
      -display vnc=0.0.0.0:1 \
      -netdev bridge,id=bridge-world,br=virbr0 \
      -netdev bridge,id=bridge-iscsi,br=virbr-iscsi \
      -device virtio-net-pci,netdev=bridge-world,id=nic-world,mac=52:54:00:00:00:01 \
      -device virtio-net-pci,netdev=bridge-iscsi,id=nic-iscsi,mac=52:54:00:00:00:02 \
      -kernel ipxe.lkrn

workstation $ vncviewer buneary.segmaas.1ss:1

    <ctrl-b>

    iPXE>

    iPXE> ifopen net1
    iPXE> set net1/ip 10.0.0.2
    iPXE> set net1/netmask 255.255.255.0

    iPXE> sanhook iscsi:10.0.0.1:::1:iqn.2019-06.com.example:target1
    Registered SAN device 0x80

    iPXE> ifopen net0
    iPXE> kernel http://192.168.122.1:8000/linux initrd=initrd.gz apt-setup/proposed=true disk-detect/ibft/enable=true --- console=ttyS0
    iPXE> initrd http://192.168.122.1:8000/initrd.gz
    iPXE> boot

...

~ # ls /lib/modules/4.15.0-45-generic/kernel/drivers/firmware/iscsi_ibft.ko
ls: /lib/modules/4.15.0-45-generic/kernel/drivers/firmware/iscsi_ibft.ko: No such file or directory

~ # cd /tmp
/tmp # wget http://archive.ubuntu.com/ubuntu/pool/main/l/linux/linux-modules-4.15.0-45-generic_4.15.0-45.48_amd64.deb
/tmp # ar x linux-modules-4.15.0-45-generic_4.15.0-45.48_amd64.deb
/tmp # xzcat data.tar.xz | tar x
/tmp # mkdir /lib/modules/4.15.0-45-generic/kernel/drivers/firmware/
/tmp # cp lib/modules/4.15.0-45-generic/kernel/drivers/firmware/iscsi_ibft.ko /l
ib/modules/4.15.0-45-generic/kernel/drivers/firmware/

/tmp # exit

...

  │ Select disk to partition: │
  │ │
  │ SCSI3 (0,0,1) (sda) - 8.6 GB IET VIRTUAL-DISK │

...

~ # grep 'retrieving disk-detect' /var/log/syslog
Jun 6 01:01:18 anna[1610]: DEBUG: retrieving disk-detect 1.117ubuntu6.18.04.1

~ # sed -n '/scsi_ibft.ko/,/iBFT disk detection finished/p' /var/log/syslog
Jun 6 01:05:17 disk-detect: insmod /lib/modules/4.15.0-45-generic/kernel/drivers/firmware/iscsi_ibft.ko
Jun 6 01:05:17 kernel: [ 293.676205] iBFT detected.
Jun 6 01:05:17 disk-detect: # BEGIN RECORD 2.0-874
Jun 6 01:05:17 disk-detect: iface.initiatorname = iqn.2010-04.org.ipxe:00000000-0000-0000-0000-000000000000
Jun 6 01:05:17 disk-detect: iface.hwaddress = 52:54:00:00:00:02
Jun 6 01:05:17 disk-detect: iface.bootproto = STATIC
Jun 6 01:05:17 disk-detect: iface.ipaddress = 10.0.0.2
Jun 6 01:05:17 disk-detect: iface.subnet_mask = 255.255.255.0
Jun 6 01:05:17 disk-detect: iface.primary_dns = 192.168.122.1
Jun 6 01:05:17 dis...

Read more...

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Mauricio, or anyone else affected,

Accepted partman-iscsi into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/partman-iscsi/40ubuntu3.19.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in partman-iscsi (Ubuntu Disco):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-disco
removed: verification-done verification-done-disco
Changed in partman-iscsi (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed-cosmic
removed: verification-done-cosmic
Łukasz Zemczak (sil2100) wrote :

Hello Mauricio, or anyone else affected,

Accepted partman-iscsi into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/partman-iscsi/40ubuntu3.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in partman-iscsi (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
removed: verification-done-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Mauricio, or anyone else affected,

Accepted partman-iscsi into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/partman-iscsi/40ubuntu3.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

verification done for disco/partman-iscsi.

Use of partman-iscsi/iscsi_auto correctly writes /etc/iscsi/iscsi.initramfs
with either ISCSI_AUTO=true or iSCSI LUN details with the right MAC address.

 ~ # grep 'retrieving partman-iscsi' /var/log/syslog
 Jun 6 14:04:03 anna[1582]: DEBUG: retrieving partman-iscsi 40ubuntu3.19.04.1

With 'partman-iscsi/iscsi_auto=true':

 ~ # debconf-get partman-iscsi/iscsi_auto
 true

 ~ # cat /target/etc/iscsi/iscsi.initramfs
 ISCSI_AUTO=true

With 'partman-iscsi/iscsi_auto=false':

 ~ # debconf-get partman-iscsi/iscsi_auto
 false

 ~ # cat /target/etc/iscsi/iscsi.initramfs
 HWADDR="52:54:00:00:00:02"
 ISCSI_TARGET_NAME="iqn.2019-06.com.example:target1"
 ISCSI_TARGET_IP="10.0.0.1"
 ISCSI_TARGET_PORT="3260"
 ISCSI_TARGET_GROUP="1"

 ~ # ip addr list
 ...
 2: ens3: ...
     link/ether 52:54:00:00:00:01 brd ff:ff:ff:ff:ff:ff
     inet 192.168.122.27/24 brd 192.168.122.255 scope global ens3
 ...
 3: ens4: ...
     link/ether 52:54:00:00:00:02 brd ff:ff:ff:ff:ff:ff
     inet 10.0.0.2/24 brd 10.0.0.255 scope global ens4
 ...

tags: added: verification-done-disco
removed: verification-needed-disco

verification done for cosmic/partman-iscsi.

Use of partman-iscsi/iscsi_auto correctly writes /etc/iscsi/iscsi.initramfs
with either ISCSI_AUTO=true or iSCSI LUN details with the right MAC address.

 ~ # grep 'retrieving partman-iscsi' /var/log/syslog
 Jun 6 14:20:51 anna[1521]: DEBUG: retrieving partman-iscsi 40ubuntu3.18.10.1

With 'partman-iscsi/iscsi_auto=true':

 ~ # debconf-get partman-iscsi/iscsi_auto
 true

 ~ # cat /target/etc/iscsi/iscsi.initramfs
 ISCSI_AUTO=true

With 'partman-iscsi/iscsi_auto=false':

 ~ # debconf-get partman-iscsi/iscsi_auto
 false

 ~ # cat /target/etc/iscsi/iscsi.initramfs
 HWADDR="52:54:00:00:00:02"
 ISCSI_TARGET_NAME="iqn.2019-06.com.example:target1"
 ISCSI_TARGET_IP="10.0.0.1"
 ISCSI_TARGET_PORT="3260"
 ISCSI_TARGET_GROUP="1"

 ~ # ip addr list
 ...
 2: ens3: ...
     link/ether 52:54:00:00:00:01 brd ff:ff:ff:ff:ff:ff
     inet 192.168.122.27/24 brd 192.168.122.255 scope global ens3
 ...
 3: ens4: ...
     link/ether 52:54:00:00:00:02 brd ff:ff:ff:ff:ff:ff
     inet 10.0.0.2/24 brd 10.0.0.255 scope global ens4
 ...

tags: added: verification-done-cosmic
removed: verification-needed-cosmic

verification done for bionic/partman-iscsi.

Use of partman-iscsi/iscsi_auto correctly writes /etc/iscsi/iscsi.initramfs
with either ISCSI_AUTO=true or iSCSI LUN details with the right MAC address.

 ~ # grep 'retrieving partman-iscsi' /var/log/syslog
 Jun 6 15:01:20 anna[1605]: DEBUG: retrieving partman-iscsi 40ubuntu3.18.04.1

With 'partman-iscsi/iscsi_auto=true':

 ~ # debconf-get partman-iscsi/iscsi_auto
 true

 ~ # cat /target/etc/iscsi/iscsi.initramfs
 ISCSI_AUTO=true

With 'partman-iscsi/iscsi_auto=false':

 ~ # debconf-get partman-iscsi/iscsi_auto
 false

 ~ # cat /target/etc/iscsi/iscsi.initramfs
 HWADDR="52:54:00:00:00:02"
 ISCSI_TARGET_NAME="iqn.2019-06.com.example:target1"
 ISCSI_TARGET_IP="10.0.0.1"
 ISCSI_TARGET_PORT="3260"
 ISCSI_TARGET_GROUP="1"

 ~ # ip addr list
 ...
 2: ens3: ...
     link/ether 52:54:00:00:00:01 brd ff:ff:ff:ff:ff:ff
     inet 192.168.122.27/24 brd 192.168.122.255 scope global ens3
 ...
 3: ens4: ...
     link/ether 52:54:00:00:00:02 brd ff:ff:ff:ff:ff:ff
     inet 10.0.0.2/24 brd 10.0.0.255 scope global ens4
 ...

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Eric Desrochers (slashd) wrote :

Sponsored for Disco 'd-i'. - No-Change rebuild
Will review C/B 'd-i' soon (which involve master kernel change)

- Eric

Dan Streetman (ddstreet) on 2019-06-11
tags: added: sts-sponsor-slashd
removed: sts-sponsor-ddstreet
Eric Desrochers (slashd) wrote :

Sponsored for Bionic 'd-i'.

The new kernel version used "4.18.0-20" (aka HWE) and "4.15.0-50" are both available in the archive for Bionic in -updates.

$ rmadison linux-image-4.18.0-20-generic
 linux-image-4.18.0-20-generic | 4.18.0-20.21~18.04.1 | bionic-security | amd64, arm64, armhf, i386, ppc64el, s390x
 linux-image-4.18.0-20-generic | 4.18.0-20.21~18.04.1 | bionic-updates | amd64, arm64, armhf, i386, ppc64el, s390x

$ rmadison linux-image-4.15.0-50-generic
 linux-image-4.15.0-50-generic | 4.15.0-50.54 | bionic-security | amd64, arm64, armhf, i386, ppc64el, s390x
 linux-image-4.15.0-50-generic | 4.15.0-50.54 | bionic-updates | amd64, arm64, armhf, i386, ppc64el, s390x

- Eric

Eric Desrochers (slashd) on 2019-06-11
tags: added: sts
removed: sts-sponsor sts-sponsor-slashd
Eric Desrochers (slashd) wrote :

Sponsored for Cosmic 'd-i'.

The version used "4.18.0-20" is available in cosmic-updates.

rmadison:
 linux-image-4.18.0-20-generic | 4.18.0-20.21 | cosmic-security | amd64, arm64, armhf, i386, ppc64el, s390x
 linux-image-4.18.0-20-generic | 4.18.0-20.21 | cosmic-updates | amd64, arm64, armhf, i386, ppc64el, s390x

The verification of the Stable Release Update for hw-detect has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package partman-iscsi - 40ubuntu3.19.04.1

---------------
partman-iscsi (40ubuntu3.19.04.1) disco; urgency=medium

  * Add support for different network interfaces and iscsi_auto for iBFT.
    (LP: #1817321)
    - debian/partman-iscsi.template: add partman-iscsi/iscsi_auto option.
    - finish.d/iscsi_settings: handle non-default interface for iSCSI.
    - finish.d/iscsi_settings: check option to include ISCSI_AUTO=true
      instead of ISCSI_* variables in /etc/iscsi/iscsi.initramfs.

 -- Mauricio Faria de Oliveira <email address hidden> Thu, 07 Mar 2019 15:53:09 -0300

Changed in partman-iscsi (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hw-detect - 1.117ubuntu6.18.10.1

---------------
hw-detect (1.117ubuntu6.18.10.1) cosmic; urgency=medium

  * Add iSCSI iBFT support to the installer (LP: #1817321)
    - disk-detect.templates: add option 'disk-detect/ibft/enable'
      for preseeding.
    - disk-detect.sh: detect iSCSI iBFT disks with
      'disk-detect/ibft/enable=true'.

 -- Mauricio Faria de Oliveira <email address hidden> Fri, 22 Mar 2019 18:24:15 -0300

Changed in hw-detect (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package partman-iscsi - 40ubuntu3.18.10.1

---------------
partman-iscsi (40ubuntu3.18.10.1) cosmic; urgency=medium

  * Add support for different network interfaces and iscsi_auto for iBFT.
    (LP: #1817321)
    - debian/partman-iscsi.template: add partman-iscsi/iscsi_auto option.
    - finish.d/iscsi_settings: handle non-default interface for iSCSI.
    - finish.d/iscsi_settings: check option to include ISCSI_AUTO=true
      instead of ISCSI_* variables in /etc/iscsi/iscsi.initramfs.

 -- Mauricio Faria de Oliveira <email address hidden> Thu, 07 Mar 2019 15:53:09 -0300

Changed in partman-iscsi (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hw-detect - 1.117ubuntu6.18.04.1

---------------
hw-detect (1.117ubuntu6.18.04.1) bionic; urgency=medium

  * Add iSCSI iBFT support to the installer (LP: #1817321)
    - disk-detect.templates: add option 'disk-detect/ibft/enable'
      for preseeding.
    - disk-detect.sh: detect iSCSI iBFT disks with
      'disk-detect/ibft/enable=true'.

 -- Mauricio Faria de Oliveira <email address hidden> Fri, 22 Mar 2019 18:24:15 -0300

Changed in hw-detect (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package partman-iscsi - 40ubuntu3.18.04.1

---------------
partman-iscsi (40ubuntu3.18.04.1) bionic; urgency=medium

  * Add support for different network interfaces and iscsi_auto for iBFT
    (LP: #1817321)
    - debian/partman-iscsi.template: add partman-iscsi/iscsi_auto option.
    - finish.d/iscsi_settings: handle non-default interface for iSCSI.
    - finish.d/iscsi_settings: check option to include ISCSI_AUTO=true
      instead of ISCSI_* variables in /etc/iscsi/iscsi.initramfs.

 -- Mauricio Faria de Oliveira <email address hidden> Thu, 07 Mar 2019 15:53:09 -0300

Changed in partman-iscsi (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hw-detect - 1.117ubuntu6.19.04.1

---------------
hw-detect (1.117ubuntu6.19.04.1) disco; urgency=medium

  * Add iSCSI iBFT support to the installer (LP: #1817321)
    - disk-detect.templates: add option 'disk-detect/ibft/enable'
      for preseeding.
    - disk-detect.sh: detect iSCSI iBFT disks with
      'disk-detect/ibft/enable=true'.

 -- Mauricio Faria de Oliveira <email address hidden> Fri, 22 Mar 2019 18:24:15 -0300

Changed in hw-detect (Ubuntu Disco):
status: Fix Committed → Fix Released

Hello Mauricio, or anyone else affected,

Accepted debian-installer into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu570.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in debian-installer (Ubuntu Disco):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-disco
removed: verification-done verification-done-disco
Łukasz Zemczak (sil2100) wrote :

Hello Mauricio, or anyone else affected,

Accepted debian-installer into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu557.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in debian-installer (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed-cosmic
removed: verification-done-cosmic
Łukasz Zemczak (sil2100) wrote :

Hello Mauricio, or anyone else affected,

Accepted debian-installer into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu543.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in debian-installer (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
removed: verification-done-bionic

Verified debian-installer in {disco,cosmic,bionic}-proposed.

The verification has been done with the netboot image files
for disco/cosmic/bionic (and hwe-netboot for bionic),
using regular and lvm partitioning,
on VMs for the architectures amd64/i386/arm64/ppc64el
and baremetal for amd64.

All tests successfully installed and booted,
and have been checked for right release name,
partitioning method, installed kernel version,
installer's kernel version and kernel messages
(no errors, no warnings, weird messages, etc.)
i.e.,

$ lsb_release -cs
$ mount | grep -w /
$ uname -rvm
$ sudo grep 'Linux version' /var/log/installer/syslog
$ sudo grep kernel: /var/log/installer/syslog

tags: added: verification-done verification-done-bionic verification-done-cosmic verification-done-disco
removed: verification-needed verification-needed-bionic verification-needed-cosmic verification-needed-disco
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu543.8

---------------
debian-installer (20101020ubuntu543.8) bionic; urgency=medium

  * Move master kernels to 4.15.0-50.
  * Move HWE kernels to 4.18.0-20.
    (LP: #1817321)

 -- Mauricio Faria de Oliveira <email address hidden> Tue, 14 May 2019 11:22:12 -0300

Changed in debian-installer (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu557.2

---------------
debian-installer (20101020ubuntu557.2) cosmic; urgency=medium

  * Move master kernels to 4.18.0-20. (LP: #1817321)

 -- Mauricio Faria de Oliveira <email address hidden> Tue, 14 May 2019 17:04:00 -0300

Changed in debian-installer (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu570.1

---------------
debian-installer (20101020ubuntu570.1) disco; urgency=medium

  * No-change rebuild to pick up new hw-detect and partman-iscsi.
    (LP: #1817321)

 -- Mauricio Faria de Oliveira <email address hidden> Tue, 14 May 2019 10:29:55 -0300

Changed in debian-installer (Ubuntu Disco):
status: Fix Committed → Fix Released
Arthur McTool (art-mctool) wrote :

Hello, we are also running in to this same issue. I see that the bug appears to be fixed as of June 24th, but how would an end user like myself be able to get a hold of this? It appears the Ubuntu Server minimal iso is still an old version that does not contain the fix?

regards....

Hi Fred,

At this time it's only available in the netboot images (network installs) [1].

It should be available on ISOs in Eoan release 19.10 and next
Bionic point-release 18.04.3 (currently scheduled to August [2]).

We'll put some documentation about the installer kernel/preseed parameters soon,
but you should need two:

- disk-detect/ibft/enable=true to detect disks based on the iBFT config.
- partman-iscsi/iscsi_auto=true for partitioner on iscsi disks to set ISCSI_AUTO=true /etc/iscsi/iscsi.initramfs so that the installed systems tries to boot based on the iBFT config.

Hope this helps,
Mauricio

[1] http://cdimage.ubuntu.com/netboot/
[2] https://wiki.ubuntu.com/BionicBeaver/ReleaseSchedule

Arthur McTool (art-mctool) wrote :

Thanks Mauricio,

We were able to get it to work with the netinstall iso and the kernel parameters you provided.

Fred,

Glad to know it.
Thanks for the additional testing and feedback.

cheers,
Mauricio

The documentation about the feature/parameters has been merged [1]
into Server Guide -> Installation -> Advanced Installaion -> iSCSI [2].

It's not yet published right now, so the HTML might be updated later.

cheers,
Mauricio

[1] https://code.launchpad.net/~mfo/serverguide/ibft/+merge/370264
[2] https://help.ubuntu.com/lts/serverguide/advanced-installation.html#iscsi

The feature documentation in the Server Guide has been published [1].

[1] https://help.ubuntu.com/lts/serverguide/advanced-installation.html#iscsi

Doug Smythies (dsmythies) wrote :

the source code for the serverguide is migrating to a different markup language for 20.04. The migration was done a few days before these revisions were committed. They need to be copied to the new source. I am attempting to add "target to series" stuff to this bug report, but it is not working, like other ones I have done already.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.